Page MenuHomePhabricator

Dropping page.page_no_title_convert on wmf databases
Closed, ResolvedPublic

Description

A column page.page_no_title_convert is visible on ToolLabs (at least on dewiki_p). I have not found any extension using this field.
There is a entry in the HISTORY, a proposed schema change which seems not fully implemented:
https://www.mediawiki.org/wiki/Proposed_Database_Schema_Changes#New_field_in_table_page_for_languages_with_language_variants

Should be dropped, because it is unused. If this is not visible on production please move the task to ToolLabs. Thanks.

ALTER TO RUN:

ALTER TABLE page DROP COLUMN IF EXISTS page_no_title_convert;

Details

Related Gerrit Patches:
operations/mediawiki-config : masterdb-eqiad.php: Depool db1088

Event Timeline

Umherirrender raised the priority of this task from to Needs Triage.
Umherirrender updated the task description. (Show Details)
Reedy assigned this task to Springle.Jan 9 2015, 7:49 PM
Reedy triaged this task as Low priority.
Reedy set Security to None.
Reedy removed a subscriber: Springle.
Reedy added a subscriber: Reedy.

Nice to get cleaned up, but certainly no priority. Not sure if/how much OSC might help here. Could just be done when doing any further changes to the page table

Reedy added a comment.Jan 9 2015, 8:04 PM

Though, there are at least 3 columns to be removed from the page table now...

page_restrictions is not safe, because that is already in use. Or which field did you mean?

2 drop, 1 add:
-page.page_counter
-page.page_no_title_convert
+page.page_lang

Reedy added a comment.Jan 9 2015, 9:00 PM

page_restrictions is not safe, because that is already in use. Or which field did you mean?
2 drop, 1 add:
-page.page_counter
-page.page_no_title_convert
+page.page_lang

T86342: Dropping page.page_no_title_convert on wmf databases
T86338: Dropping page.page_counter on wmf databases
T60674: Drop page.page_restrictions column from Wikimedia wikis

T60674 is blocked by T35334 which is not closed, so that field cannot be dropped at the moment.

Just for the record: page.page_lang is T69223

Krenair added subscribers: brion, Krenair.EditedAug 15 2015, 2:42 AM

Added by @brion in rSVN16524 and rSVN16525 and reverted in rSVN16526

Krenair removed Springle as the assignee of this task.Oct 4 2015, 2:53 AM
Marostegui moved this task from Triage to Backlog on the DBA board.Jul 27 2018, 4:00 PM
greg removed a subscriber: greg.Nov 22 2018, 8:36 AM
Marostegui moved this task from Backlog to Next on the DBA board.Jan 8 2019, 7:10 PM
Marostegui updated the task description. (Show Details)Feb 20 2019, 8:52 AM
Marostegui updated the task description. (Show Details)Feb 22 2019, 7:01 AM
Marostegui updated the task description. (Show Details)Feb 25 2019, 7:35 AM
Marostegui added a subscriber: Marostegui.EditedFeb 25 2019, 8:06 AM

s6 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1005
  • dbstore1002
  • dbstore1001
  • db1125
  • db1113
  • db1098
  • db1096
  • db1093
  • db1088
  • db1085
  • db1061
Marostegui moved this task from Next to In progress on the DBA board.Feb 25 2019, 2:01 PM

Change 492952 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1088

https://gerrit.wikimedia.org/r/492952

Change 492952 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1088

https://gerrit.wikimedia.org/r/492952

Mentioned in SAL (#wikimedia-operations) [2019-02-26T06:28:09Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1088 T86342 (duration: 00m 48s)

Marostegui updated the task description. (Show Details)Feb 26 2019, 7:01 AM

Mentioned in SAL (#wikimedia-operations) [2019-02-26T07:02:55Z] <marostegui> Deploy schema change on s2 codfw (this will generate lag on s2 codfw) T86342

Marostegui updated the task description. (Show Details)Feb 26 2019, 7:23 AM
Marostegui added a comment.EditedFeb 26 2019, 10:11 AM

s2 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1004
  • dbstore1002
  • db1125
  • db1122
  • db1105
  • db1103
  • db1095
  • db1090
  • db1076
  • db1074
  • db1066

Mentioned in SAL (#wikimedia-operations) [2019-02-26T10:20:37Z] <marostegui> Deploy schema change on db1074, this will generate lag on labsdb for s2 - T86342

Marostegui updated the task description. (Show Details)Feb 27 2019, 6:49 AM

Mentioned in SAL (#wikimedia-operations) [2019-02-27T07:01:30Z] <marostegui> Deploy schema change on s5 codfw master (db2052), this will generate lag on codfw - T86342

Marostegui updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2019-02-27T08:40:21Z] <marostegui> Deploy schema change on db1082 - will generate lag on labsdb:s5 - T86342

s5 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1003
  • dbstore1002
  • db1124
  • db1113
  • db1110
  • db1102
  • db1100
  • db1097
  • db1096
  • db1082
  • db1070
Marostegui updated the task description. (Show Details)Feb 27 2019, 2:51 PM
Marostegui updated the task description. (Show Details)Feb 27 2019, 3:29 PM

Mentioned in SAL (#wikimedia-operations) [2019-02-28T06:50:00Z] <marostegui> Deploy schema change on db1079, this will generate lag on s7 on labs - T86342

Marostegui added a comment.EditedFeb 28 2019, 9:10 AM

s7 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1003
  • dbstore1002
  • db1125
  • db1116
  • db1101
  • db1098
  • db1094
  • db1090
  • db1086
  • db1079
  • db1062
Marostegui updated the task description. (Show Details)Mar 1 2019, 6:44 AM
Marostegui updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2019-03-01T06:48:34Z] <marostegui> Deploy schema change on s4 codfw, lag will appear on s4 codfw - T86342

Marostegui updated the task description. (Show Details)Mar 1 2019, 7:25 AM
Marostegui added a comment.EditedMar 1 2019, 1:27 PM

s4 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1004
  • dbstore1002
  • db1125
  • db1121
  • db1103
  • db1102
  • db1097
  • db1091
  • db1084
  • db1081
  • db1068

Mentioned in SAL (#wikimedia-operations) [2019-03-06T08:47:20Z] <marostegui> Deploy schema change on s3 codfw, this will generate lag on codfw - T86342

Marostegui updated the task description. (Show Details)Mar 6 2019, 9:25 AM
Marostegui added a comment.EditedMar 6 2019, 10:51 AM

s3 eqiad progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1004
  • db1124
  • db1123
  • db1095
  • db1075
  • db1077
  • db1078

Mentioned in SAL (#wikimedia-operations) [2019-03-07T06:03:48Z] <marostegui> Deploy schema change on db1121, this will generate lag on labsdb:s4 - T86342

Marostegui updated the task description. (Show Details)Mar 7 2019, 10:08 AM
Marostegui closed this task as Resolved.Mar 8 2019, 2:13 PM
Marostegui updated the task description. (Show Details)

This is all done! One less drift between HEAD and production